@model IEnumerable<MyVod.Infrastructure.Models.Movie>

@{
    ViewBag.Title = "Movies";
    Layout = "_Layout";
}

<h2 class="page-header">Movies</h2>

<section class="single-movie-container">
    <section class="admin-button-wrapper">
        <a asp-area="admin" asp-controller="Movie" asp-action="create" class="btn btn-success">Add New</a>
    </section>

    <section>
            <ul class="list-group admin-list">
                @foreach (var movie in Model!)
                {
                    <li>
                        @movie.Title (@movie.EnglishTitle @movie.ReleasedAt.ToShortDateString())
                        <div>
                            <a asp-area="admin" asp-controller="Movie" asp-action="edit" asp-route-id="@movie.Id" class="btn btn-primary">Edit</a>
                            <a asp-area="admin" asp-controller="Movie" asp-action="delete" asp-route-id="@movie.Id"  class="btn btn-danger">Delete</a>
                        </div>
                    </li>
                }
            </ul>
    </section>
</section>